org.h2.build

## Class BuildBase.StringList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<java.lang.String>
      - - org.h2.build.BuildBase.StringList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.String>, java.util.Collection<java.lang.String>, java.util.List<java.lang.String>, java.util.RandomAccess

Enclosing class:
  BuildBase

    public static class BuildBase.StringList
    extends java.util.ArrayList<java.lang.String>

A list of strings.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `array()` Convert this list to a string array.
`BuildBase.StringList` `plus(java.lang.String... args)` Add a list of strings.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Method Detail

#### plus

    public BuildBase.StringList plus(java.lang.String... args)

Add a list of strings.

Parameters:
  `args` - the list to add
Returns:
  the new list

#### array

    public java.lang.String[] array()

Convert this list to a string array.

Returns:
  the string array